<?php

			session_start();
			include("corps_html.php");
			include('database.php');
			include('config.php');
		
?>	
<link rel="stylesheet" type="text/css" href="style.css">
<link href="http://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel="stylesheet">
<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
<script src="http://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>

<script>

$(function()
{
			$( "#date_debut_projet" ).datepicker();
});

function valider_creer_projet()
{

			nom_projet = document.getElementById('nom_projet').value;
			owner = document.getElementById('owner').value;
			date_debut = document.getElementById('date_debut').value;
			duree = document.getElementById('duree').value;
			nom_famille = document.getElementById('nom_famille').value;
			status_projet = document.getElementById('status_projet').value;
			commentaires = document.getElementById('commentaires').value;
			
			//alert(nom_projet + " " + owner + " " + date_debut + " " + duree + " " + nom_famille + " " + status_projet + " " + commentaires);
				
			if(nom_projet.length  == '' || owner.length == '')
			{
	
						$(function()
						{
									$( "#message_incomplet" ).dialog({
									modal: true,
									title: "Infos",
									buttons: {
												Ok: function()
												{
													$( this ).dialog( "close" );
												}
											 }
										});
						});
			}
			else
			{
				var data = 'nom_projet='+nom_projet
				+'&owner='+owner
				+'&date_debut='+date_debut
				+'&duree='+duree
				+'&nom_famille='+nom_famille
				+'&status_projet='+status_projet
				+'&commentaires='+commentaires;
				
				alert(data);
				
				$.ajax({
							
							type: "POST",
							url: "sauver_projet.php", 
							data: data,
							success: function (reponse) 
							{
									if(reponse == "ok")
									{
										$( "#message_sauvegarde" ).dialog({
													modal: true,
													title: "Infos",
													buttons: {
																Ok: function()
																{
																	$( this ).dialog( "close" );
																}
															 }
													});
									}
									if(reponse == "erreur")
									{
										$( "#message_projet_existe" ).dialog({
													modal: true,
													title: "Infos",
													buttons: {
																Ok: function()
																{
																	$( this ).dialog( "close" );
																}
															 }
													});

									}
									
							},
							
							error : function(request)
							{
									console.log(request.responseText);
							}
				});

			}
			
}
		
</script>

<body>

	<div class="layout">

<?php
	include("header.php");
?>	
		
<!-- Main -->
		<div class="main">
			<div class="container">
				<div class="row">
				
				<div class="col-md-12">
						<!-- Content -->
						<div class="content">
							<div class="page-header">
								<!--<h3>Interface du gestionnaire de projets</h3> -->
								<h2><i class="icon-bullhorn"></i> <span>Créer un projet</span></h2>
							</div>
								
							<!-- Single Page -->
							<div class="page">
								
							<div class="examples">
							
							<!------>

							<table style="width:100%" border="1" cellspacing="1" cellpadding="5" bgcolor="#D5D5D5">		
							
									<tr bgcolor="#FFFFFF">
									<td>Nom du projet :</td>
									<td><input type="text" id="nom_projet" name ="nom_projet" size="30" maxlength="30" value="" > *</td>
									</tr>
									
									<tr bgcolor="#FFFFFF">
									<td>Nom de la famille :</td>
									<td >
									<select id="nom_famille" name="nom_famille" size="1">
<?php							
									for ($i=0; $i < count($tab_famille_projet); $i++)
									{
										if($i == 0)
										{	
											echo "<option value= '$tab_famille_projet[$i]' select = 'selected' >$tab_famille_projet[$i]</option>";
										}
										else
										{	
											echo "<option value= '$tab_famille_projet[$i]' >$tab_famille_projet[$i]</option>";
										}	
									}
?>							
									</select></td>
									</tr>
									
									<tr>
									<td>Owner :</td>
									<td><input type="text" id="owner" name="owner" size="30" maxlength="30" value=""  > *</td>
									</tr>
									
									<tr bgcolor="#FFFFFF">
									<td>Début du projet :</td>
									<td><input type="text" id="date_debut_projet" name="date_debut_projet"> 
									</td>
									</tr>
									
									<tr>
									<td>Durée :</td>
									<td>
									<select id="duree" name="duree" size="1">
									<option value="1" selected="selected">1 mois</option>
									<option value="2">2 mois </option>
									<option value="3">3 mois </option>
									<option value="4">4 mois </option>
									<option value="5">5 mois </option>
									<option value="6">6 mois </option>
									<option value="2">7 mois </option>
									<option value="3">8 mois </option>
									<option value="4">9 mois </option>
									<option value="5">10 mois </option>
									<option value="6">11 mois </option>
									<option value="6">12 mois </option>
									</select>
									</td>
									</tr>
									
									<tr>
									<td>Status :</td>
									<td>
									<select id="status_projet" name="status_projet">
									<option value="actif" selected="selected">Actif</option>
									<option value="inactif">Inactif</option>
									</select>
									</td>
									</tr>
									
									<tr bgcolor="#FFFFFF">
									<td>Commentaires :</td>
									<td>
									<textarea id="commentaires" name="commentaires" rows="8" cols="60" >
									</textarea></td>
									</tr>
									
									

									</table>		
									
									<br/><br/>
									<input class="btn btn-primary" type="submit" value="Ajouter" name="ajouter" onclick="valider_creer_projet()" />
							
							<!--
							Nom du projet
							Nom de la famille
							owner
							Date de début
							Durée
							Status
							Commentaires
							-->
							

							<!------->
							
							</div>	
								
							<div class="clear"></div>
							<div class="clear"></div>
							</div>
							<!-- End Single Page -->
						</div>
						<!-- End Content -->
				</div>
					
				</div>
			</div>
		</div>
<!-- End Main -->
		
<?php
			include("footer.php");
?>		

	</div>

			<div id="message_incomplet" style="display: none">
			<p>
			<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
			Champs obligatoire(s) vide !.
			</p>
			</div>
			
			<div id="message_sauvegarde" style="display: none">
			<p>
			<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
			Le projet a été enregistré dans la database.
			</p>
			</div>
			
			<div id="message_projet_existe" style="display: none">
			<p>
			<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
			Le projet existe déjà dans la database !.
			</p>
			</div>
			

	
</body>
</html>
